## mbrola 3.02b+dfsg

=== Makefile ===
# BEGIN_COMM <- flags parenthesize what goes in the commercial Makefile (awk strips)
# BEGIN_WWW  <- flags parenthesize what goes in the Web Makefile (stripped by awk below)
# Mbrola Speech Synthesize Makefile ( tune the #define and type "make" )
VERSION=3.02b

# To test strict C ANSI compliance
CC = gcc -ansi -pedantic
LIB= -lm

# This allow you to write commands like "make PURE=purify demo1"
# or "make PURE=quantify lib2"
CCPURE = $(PURE) $(CC)

########################
# Machine specific #define, uncomment as needed
# If your OS is not here, may be it provides some __linux or __sunos
# that are used in Misc/common.h If compiling fails see that file

#CFLAGS += -DTARGET_OS_DOS
#CFLAGS += -DTARGET_OS_SUN4
#CFLAGS += -DTARGET_OS_VMS
#CFLAGS += -DTARGET_OS_MAC

# See below for BEOS
# CFLAGS += -DTARGET_OS_BEOS

# If endianess of your machine is not automatically detected in Misc/common.h
# you should manually specify here
CFLAGS += -DLITTLE_ENDIAN
#CFLAGS += -DBIG_ENDIAN

#######################
# GENERAL FLAGS FOR GCC

# Optimized code
CFLAGS += -O6

# Debug mode with gdb
#CFLAGS += -g 

# Print MANY debug information on stdout
#CFLAGS += -DDEBUG

# For testing hash_table performances
#CFLAGS += -DDEBUG_HASH

#Include directories
CFLAGS += -IParser -IStandalone -IMisc -ILibOneChannel -ILibMultiChannel -IEngine -IDatabase

# Flags for GCC
CFLAGS += -Wall
# CFLAGS += -fhandle-exceptions

# Flags for OS/2
#CFLAGS += -Zmts -D__ST_MT_ERRNO -Zexe -Zomf -Zsys
#CFLAGS += -Zmtd -D__ST_MT_ERRNO -Zexe -Zomf

# BeOs 3.2
# -w all is too sensible on  prototype
# CC = cc -w all
# -w on make some warning
# CC = cc -w on
# LIB =

# BeOS 4.x
# LIB = -lbe -lroot
# CFLAGS += -O1
# or CFLAGS += -O3

COMMONSRCS = Engine/mbrola.c Engine/diphone.c Parser/phone.c Parser/parser_input.c Parser/input_file.c Parser/phonbuff.c Misc/audio.c Misc/vp_error.c Misc/mbralloc.c Misc/common.c Database/database.c Database/database_old.c Database/diphone_info.c Database/little_big.c Database/hash_tab.c Database/zstring_list.c

COMMONCHDRS = Engine/mbrola.h Engine/diphone.h Parser/phone.h Parser/parser.h Parser/input_file.h Parser/input.h Parser/phonbuff.h Misc/incdll.h Misc/audio.h Misc/vp_error.h Misc/mbralloc.h Misc/common.h Database/database.h Database/database_old.h Database/diphone_info.h Database/little_big.h Database/hash_tab.h Database/phoname_list.h

# END_WWW

# LibOneChannel or LibMultiChannel
#CFLAGS += -DLIBRARY

# DLL is a library with exported symbols
#CFLAGS += -DDLL

######################################################
# ROM SECTION
#

# Uncomment if you want a pure rom access, that is NO FILE AT ALL
# Note that this mode is incompatible with ROMDATABASE_STORE as it
# requires files for this operation !
# CFLAGS += -DROMDATABASE_PURE

# Uncomment if you wish to save .rom images from regular diphone databases
CFLAGS += -DROMDATABASE_STORE

# Uncomment if you wish to use init_ROM_Database(ROM_pointer)
CFLAGS += -DROMDATABASE_INIT

# Uncomment to cope with ROMDATABASE_STORE or ROMDATABASE_INIT
COMMONSRCS += Database/rom_handling.c Database/rom_database.c


######################################################
# DATABASE COMPRESSION SECTION
#

# END_COMM

# BEGIN_WWW

# Signal handling of the standalone version (Unix platforms)
CFLAGS += -DSIGNAL

# BEGIN_COMM
BINSRCS = Standalone/synth.c $(COMMONSRCS)
BINHDRS = Standalone/synth.h $(COMMONHDRS)

LIBSRCS = Misc/g711.c Parser/input_fifo.c Parser/fifo.c $(COMMONSRCS)
LIBHDRS = Misc/g711.h Parser/input_fifo.h Parser/fifo.h $(COMMONHDRS)

MBRDIR = ./Bin
BINDIR = ./Bin/Standalone
LIBDIR = ./Bin/LibOneChannel

BINOBJS = $(BINSRCS:%.c=Bin/Standalone/%.o)

PROJ = mbrola

$(PROJ): install_dir  $(BINOBJS) 
	$(CCPURE) $(CFLAGS) -o $(MBRDIR)/$(PROJ) $(BINOBJS) $(LIB)	

clean:
	\rm -f $(MBRDIR)/$(PROJ) $(PROJ).a core demo* TAGS $(BIN)/lib*.o $(BINOBJS) 
	\rm -rf VisualC++/DLL/output VisualC++/DLL/mbroladl VisualC++/DLL/mbroladll.ncb VisualC++/DLL/mbroladll.opt VisualC++/DLL/*.plg .sb
	\rm -rf VisualC++/Standalone/output VisualC++/Standalone/mbroladl VisualC++/Standalone/mbrola.ncb VisualC++/Standalone/mbrola.opt VisualC++/Standalone/*.plg .sb
	\rm -rf  delexsend$(VERSION) send$(VERSION) mbr$(VERSION)
	\rm -rf doc.txt

spotless: clean net
	\rm -rf Bin

tags:
	etags */*{c,h}

net:
	\rm -f *~ */*~

$(BINDIR)/%.o: %.c
	$(CCPURE) $(CFLAGS) -o $@ -c $<

# to create the compilation directory, if necessary
install_dir: 
	if [ ! -d Bin/Standalone ]; then \
	mkdir Bin ; mkdir Bin/LibOneChannel; mkdir Bin/LibMultiChannel ; mkdir Bin/Standalone ; mkdir Bin/Standalone/Standalone ; mkdir Bin/Standalone/Parser ;	mkdir Bin/Standalone/Engine ;	mkdir Bin/Standalone/Database ;	mkdir Bin/Standalone/Misc; \
	fi

lib1 : LibOneChannel/lib1.c
	$(CCPURE) $(CFLAGS) -o Bin/LibOneChannel/lib1.o -c LibOneChannel/lib1.c

demo1:  install_dir lib1 LibOneChannel/demo1.c
	$(CCPURE) $(CFLAGS) -c -o Bin/LibOneChannel/demo1.o LibOneChannel/demo1.c
	$(CCPURE) $(CFLAGS) -o demo1 Bin/LibOneChannel/demo1.o Bin/LibOneChannel/lib1.o $(LIB)		

# END_WWW

demo1b:  install_dir lib1 LibOneChannel/demo1b.c
	$(CCPURE) $(CFLAGS) -c -o Bin/LibOneChannel/demo1b.o LibOneChannel/demo1b.c
	$(CCPURE) $(CFLAGS) -o demo1b Bin/LibOneChannel/demo1b.o Bin/LibOneChannel/lib1.o $(LIB)	


lib2 : LibMultiChannel/lib2.c
	$(CCPURE) $(CFLAGS) -o Bin/LibMultiChannel/lib2.o -c LibMultiChannel/lib2.c

demo2: install_dir lib2 LibMultiChannel/demo2.c	
	$(CCPURE) $(CFLAGS) -c -o Bin/LibMultiChannel/demo2.o LibMultiChannel/demo2.c
	$(CCPURE) $(CFLAGS) -o demo2 Bin/LibMultiChannel/demo2.o Bin/LibMultiChannel/lib2.o $(LIB)		
# END_COMM

# Check the integrity of the new Mbrola version by comparing the output 
# to previous standard output. Worry if you see the "Binary files differ" 
# message
checkold: demo1 demo2 synth
	@ echo ""
	@ echo ""
	@ echo "Check the integrity of the new Mbrola version"

# the code below generates errors -> dedicated to checks with Purify 
	-@./demo1 UTILITY_TCTS
	-@./demo2 UTILITY_TCTS
	-@./demo1 UTILITY_TCTS/vincee1
	-@./demo2 UTILITY_TCTS/vincee1
	-@./demo1 UTILITY_TCTS/us1.cebab
	-@./demo2 UTILITY_TCTS/us1.cebab
# The code below successfully synthesize 
	./synth UTILITY_TCTS/fr1 UTILITY_TCTS/bonjour.pho resbon1.wav
	./synth -R "on o~ j Z" -C "ou u r R" UTILITY_TCTS/vincee1 UTILITY_TCTS/bonjour.pho resbon2.wav
	./demo1 UTILITY_TCTS/fr1
	./demo2 UTILITY_TCTS/fr1
	./synth UTILITY_TCTS/us1.cebab UTILITY_TCTS/alice.pho resalis.au
	@ echo ""
	@ echo ""
	@ echo "Worry if you see the Binary files differ message"
	diff res.ulaw UTILITY_TCTS/$(OSTYPE)
	diff resbon1.wav UTILITY_TCTS/$(OSTYPE)
	diff resbon2.wav UTILITY_TCTS/$(OSTYPE)
	diff resalis.au UTILITY_TCTS/$(OSTYPE)
	diff res1.ulaw UTILITY_TCTS/$(OSTYPE)
	diff res2.raw UTILITY_TCTS/$(OSTYPE)
	diff res3.lin8 UTILITY_TCTS/$(OSTYPE)

check: checkold
# Generate ROM images
	./synth -W UTILITY_TCTS/fr1
	./synth -W UTILITY_TCTS/us1.cebab
	./synth -w UTILITY_TCTS/fr1 UTILITY_TCTS/bonjour.pho resbon1rom.wav
	./synth -w UTILITY_TCTS/us1.cebab UTILITY_TCTS/alice.pho resalisrom.au
	diff resbon1rom.wav resbon1.wav
	diff resalisrom.au resalis.au
	\rm -f res* UTILITY_TCTS/fr1.rom UTILITY_TCTS/us1.cebab.rom

# Put the right version number in common.h
version:
	@ mv Misc/common.h Misc/common.h~
	@ sed 's/SYNTH_VERSION.*/SYNTH_VERSION \"$(VERSION)\"/' < Misc/common.h~ > Misc/common.h; 

# Internet delexicalized version ( Unix standalone mode )
delex: version spotless
	mkdir delexsend$(VERSION) ; cd delexsend$(VERSION) ; mkdir Database Engine Misc Parser Standalone LibOneChannel ; echo "Version $(VERSION) `date`" > readme.txt; cat ../DOCUMENTATION/User/readme.txt >> readme.txt ; cp ../00readme_* . ; cp -r ../Standalone/Posix Standalone/Posix ; cp ../Misc/incdll.h Misc ; ../UTILITY_TCTS/source_delexicalize.pl Database/database.c Database/database.h Database/database_cebab.c Database/database_cebab.h Database/database_old.c Database/database_old.h Database/diphone_info.c Database/diphone_info.h Database/hash_tab.c Database/hash_tab.h Database/little_big.c Database/little_big.h Database/zstring_list.c Database/zstring_list.h Engine/diphone.c Engine/diphone.h Engine/mbrola.c Engine/mbrola.h Misc/audio.c Misc/audio.h Misc/common.c Misc/common.h Misc/g711.c Misc/g711.h Misc/mbralloc.c Misc/mbralloc.h Misc/vp_error.c Misc/vp_error.h Parser/fifo.c Parser/fifo.h Parser/input.h Parser/input_fifo.c Parser/input_fifo.h Parser/input_file.c Parser/input_file.h Parser/parser.h Parser/parser_input.c Parser/parser_input.h Parser/phonbuff.c Parser/phonbuff.h Parser/phone.c Parser/phone.h  Standalone/synth.c Standalone/synth.h LibOneChannel/onechannel.c ; cp ../LibOneChannel/onechannel.h ../LibOneChannel/lib1.c ../LibOneChannel/demo1.c  LibOneChannel ; awk '/# BEGIN_WWW/,/# END_WWW/' < ../Makefile |  sed 's/.*_COMM.*//' |sed 's/.*_WWW.*//' > Makefile

big: delex
	cd delexsend$(VERSION) ; cp ../Misc/incdll.h . ; cp ../LibOneChannel/onechannel.h . ; cp ../Parser/parser.h . ; cp ../Parser/phone_export.h phone.h ; cat Misc/common.h Misc/vp_error.h Misc/mbralloc.h Misc/incdll.h Parser/phone.h Database/diphone_info.h Engine/diphone.h Parser/parser.h Misc/g711.h Misc/audio.h Database/zstring_list.h Database/hash_tab.h Database/little_big.h Database/database.h Database/database_cebab.h  Engine/mbrola.h Database/database_old.h Parser/input.h Parser/fifo.h Parser/phonbuff.h Parser/parser_input.h Parser/input_fifo.h LibOneChannel/onechannel.h Misc/mbralloc.c Database/little_big.c Misc/common.c Parser/phone.c Engine/diphone.c Misc/g711.c Misc/audio.c Engine/mbrola.c Database/diphone_info.c Database/database_old.c Database/database.c Database/zstring_list.c Parser/phonbuff.c  Parser/fifo.c Parser/input_fifo.c Parser/parser_input.c  Database/hash_tab.c LibOneChannel/onechannel.c Misc/vp_error.c Database/database_cebab.c | sed 's/#include ".*//g' > mbrola_lib.c ; \rm -rf Database Engine Misc Parser Standalone LibOneChannel

# Internet public version (no ROM, no DEBUG and no MULTI_CHANNEL)
send: version spotless
	mkdir send$(VERSION) ; cd send$(VERSION) ; cp ../00readme_* . ; mkdir Database Engine Misc Parser Standalone LibOneChannel ; echo "Version $(VERSION) `date`" > readme.txt; cat ../DOCUMENTATION/User/readme.txt >> readme.txt ; cp -r ../Standalone/Posix Standalone/Posix ; ../UTILITY_TCTS/source_clean_public.pl Database/database.c Database/database.h Database/database_cebab.c Database/database_cebab.h Database/database_old.c Database/database_old.h Database/diphone_info.c Database/diphone_info.h Database/hash_tab.c Database/hash_tab.h Database/little_big.c Database/little_big.h Database/zstring_list.c Database/zstring_list.h Engine/diphone.c Engine/diphone.h Engine/mbrola.c Engine/mbrola.h Misc/audio.c Misc/audio.h Misc/common.c Misc/common.h Misc/g711.c Misc/g711.h Misc/mbralloc.c Misc/mbralloc.h Misc/vp_error.c Misc/vp_error.h Parser/fifo.c Parser/fifo.h Parser/input.h Parser/input_fifo.c Parser/input_fifo.h Parser/input_file.c Parser/input_file.h Parser/parser.h Parser/parser_input.c Parser/parser_input.h Parser/phonbuff.c Parser/phonbuff.h Parser/phone.c Parser/phone.h  Standalone/synth.c Standalone/synth.h LibOneChannel/onechannel.c LibOneChannel/onechannel.h LibOneChannel/lib1.c LibOneChannel/demo1.c Misc/incdll.h ; awk '/# BEGIN_WWW/,/# END_WWW/' < ../Makefile |  sed 's/.*_COMM.*//' |sed 's/.*_WWW.*//' > Makefile

# Commercial Version
com: version spotless
	mkdir mbr$(VERSION) ; cd mbr$(VERSION) ; cp -r ../Database . ; cp -r ../Engine . ; cp -r ../LibMultiChannel . ;cp -r ../LibOneChannel . ;cp -r ../Misc . ;cp -r ../Parser . ;cp -r ../Standalone . ;cp -r ../VisualC++ . ;cp -r ../DOCUMENTATION . ; echo "Version $(VERSION) `date`" > DOCUMENTATION/User/readme.txt; cat ../DOCUMENTATION/User/readme.txt >> DOCUMENTATION/User/readme.txt ; \rm -f Database/database_cebab.* ; awk '/# BEGIN_COMM/,/# END_COMM/' < ../Makefile | sed 's/.*_COMM.*//' | sed 's/.*_WWW.*//'> Makefile ; sed 's/RELEASE/$(VERSION)/g' < ../00readme.txt > 00readme.txt

sauve: spotless

## mbrola 3.01h+1

=== debian/changelog ===
mbrola (3.01h+1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes).
  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:41:04 +0100

mbrola (3.01h+1-2) unstable; urgency=medium

  * mbrola-voice-package-generate: Add TEST1 to list of test directories.
  * Add libc6:i386 as shlib alternative on amd64 (Closes: 757188).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Aug 2014 10:07:46 +0200

mbrola (3.01h+1-1) unstable; urgency=low

  * Include ARM dynamic-rebuilt binary.
  * Bump Standards-Version to 3.9.5 (no change needed)
  * debian/rules: Add build-indep rule.
  * debian/mbrola-voice-package-generate: Add build-{arch,indep} rules.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Dec 2013 00:00:23 +0100

mbrola (3.01h-6) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).
  * debian/mbrola-voice-package-generate: Fix voice path according to common
    usage (Closes: 593971).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Sep 2010 07:52:25 +0200

mbrola (3.01h-5) unstable; urgency=low

  * rules: chmod u+w mbrola to fix FTBFS on sparc.
  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2010 00:02:20 +0100

mbrola (3.01h-4) unstable; urgency=low

  * control: add ${misc:Depends}.
  * mbrola.1: Fix typo.
  * rules: Strip the mbrola binary.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2010 22:20:17 +0100

mbrola (3.01h-3) unstable; urgency=low

  * README.Debian: Add a note about the amd64 package containing a 32bit
    binary, and that hence ia32 emulation must be enabled in the kernel
    (Closes: Bug#532972).
  * Bump Standards-Version to 3.8.3 (no change needed).
  * control: Add Multi-Arch: foreign header.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2010 21:38:40 +0100

mbrola (3.01h-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.1, no changes needed.
  * Change my email, remove DM-Upload-Allowed, as well as in voice packages.
  * Bump debhelper build-dependency to (>= 7), to get dh_prep.
  * Remove arm arch.
  * Document how to use espeak+mbrola in speech dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 May 2009 01:48:36 +0200

mbrola (3.01h-1) unstable; urgency=low

  * Initial release (Closes: #509517).

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Sun, 18 Jan 2009 22:32:09 +0100

=== debian/control ===
Source: mbrola
Section: non-free/sound
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9), unzip, libc6-i386 [amd64] | libc6:i386 [amd64]
Standards-Version: 3.9.6
Homepage: http://tcts.fpms.ac.be/synthesis/
XS-Autobuild: yes

Package: mbrola
Architecture: i386 amd64 alpha powerpc sparc armel
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends} [!amd64], libc6:i386 [amd64] | libc6-i386 [amd64]
Suggests: mbrola-voice, espeak, cicero
Description: Multilingual software speech synthesizer
 Mbrola is Thierry Dutoit's phonemizer for multilingual speech synthesis. The
 various diphone databases are distributed on separate packages, but they
 must be used with and only with Mbrola because of license matters. Read the
 copyright for details.
 .
 Mbrola itself doesn't provide full TTS. It is a speech synthesizer based on
 the concatenation of diphones. It takes a list of phonemes as input,
 together with prosodic information (duration of phonemes and a piecewise linear
 description of pitch), and produces speech samples on 16 bits (linear),
 at the sampling frequency of the diphone database.
 .
 Use Mbrola along with Freephone, cicero or espeak to have a complete
 text-to-speech in English.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
README_ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip

ZIPBALL=
RARBALL=

ifeq ($(DEB_HOST_ARCH),i386)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=unpacked/mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),amd64)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=unpacked/mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),alpha)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=unpacked/mbrola-linux-alpha
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=unpacked/mbrola302b-linux-ppc
endif

ifeq ($(DEB_HOST_ARCH),sparc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=unpacked/mbrola-SuSElinux-ultra1.dat
endif

ifeq ($(DEB_HOST_ARCH),armel)
ifeq (0,1)
# This static one does not work on maemo
ZIPBALL=mbr301h_arm.zip
FILENAME=unpacked/mbrola-linux-strongarm2-static
else
FILENAME=zipballs/mbrola-armel
endif
endif

unpack:
ifneq ($(ZIPBALL),)
	unzip -u -d unpacked zipballs/$(ZIPBALL)
else
	unzip -u -d unpacked zipballs/$(README_ZIPBALL)
endif

override_dh_auto_build: unpack
	cp -f $(FILENAME) mbrola
	chmod u+w,+x mbrola
	strip mbrola

## mbrola 3.01h+2

=== debian/changelog ===
mbrola (3.01h+2-3) unstable; urgency=medium

  * Make mbrola wrapper for libstrongexit.so simpler. espeak seems to be
    looking at mbrola's state, and does not like to see it sleeping, waiting
    for dpkg-architecture's output... (Closes: 857501).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 02:29:45 +0100

mbrola (3.01h+2-2) unstable; urgency=medium

  * Add libstrongexit.so workaround. mbrola crashes on exit() cleanup, so
    don't bother trying to exit cleanly, mbrola does close the output file
    fine anyway (Closes: #856331).
    - install: install libstrongexit.so and wrapper script to use it
    - control:
      - build-depend on gcc-multilib on amd64 for cross-compiling 32bit
      libstrongexit.so
      - build-depend on dh-exec for multiarch path
      - depend on dpkg-dev for multiarch path at exec.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Feb 2017 14:26:24 +0100

mbrola (3.01h+2-1) unstable; urgency=medium

  * Add armhf build from upstream (Closes: 839021).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Sep 2016 09:21:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: non-free/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9), unzip, libc6-i386 [amd64] | libc6:i386 [amd64]
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), unzip, libc6-dev-i386 [amd64] | libc6-dev:i386 [amd64], gcc-multilib [amd64]
+Standards-Version: 3.9.8
 Homepage: http://tcts.fpms.ac.be/synthesis/
 XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 amd64 alpha powerpc sparc armel
+Architecture: i386 amd64 alpha powerpc sparc armel armhf
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends} [!amd64], libc6:i386 [amd64] | libc6-i386 [amd64]
 Suggests: mbrola-voice, espeak, cicero

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 	dh $@
 
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 README_ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
 
+TARBALL=
 ZIPBALL=
 RARBALL=
 
@@ -16,7 +18,9 @@
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
+# See end of README.Debian
 FILENAME=unpacked/mbrola-linux-i386
+CFLAGS+=-m32
 endif
 
 ifeq ($(DEB_HOST_ARCH),alpha)
@@ -44,14 +48,30 @@
 endif
 endif
 
+ifeq ($(DEB_HOST_ARCH),armhf)
+TARBALL=mbrola.tgz
+FILENAME=unpacked/mbrola
+endif
+
 unpack:
+ifneq ($(TARBALL),)
+	mkdir unpacked
+	tar -x -C unpacked -f zipballs/$(TARBALL)
+else
 ifneq ($(ZIPBALL),)
 	unzip -u -d unpacked zipballs/$(ZIPBALL)
-else
+endif
+endif
 	unzip -u -d unpacked zipballs/$(README_ZIPBALL)
-endif
 
 override_dh_auto_build: unpack
 	cp -f $(FILENAME) mbrola
 	chmod u+w,+x mbrola
 	strip mbrola
+	$(MAKE) -C debian/strongexit
+
+override_dh_auto_clean:
+	$(MAKE) clean -C debian/strongexit
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -e debian/mbrola/usr/lib/$(DEB_HOST_MULTIARCH)/mbrola/mbrola

## mbrola 3.01h-6maemo1

=== debian/changelog ===
mbrola (3.01h-6maemo1) unstable; urgency=low

  * Give it a try (1st Maemo port) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Thu, 25 Apr 2013 23:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: non-free/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), unzip, libc6-dev-i386 [amd64] | libc6-dev:i386 [amd64], gcc-multilib [amd64]
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7), unzip, libc6-i386 [amd64]
+Standards-Version: 3.9.1
 Homepage: http://tcts.fpms.ac.be/synthesis/
-XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 amd64 alpha powerpc sparc armel armhf
+Architecture: i386 alpha powerpc sparc armel amd64
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends} [!amd64], libc6:i386 [amd64] | libc6-i386 [amd64]
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mbrola-voice, espeak, cicero
 Description: Multilingual software speech synthesizer
  Mbrola is Thierry Dutoit's phonemizer for multilingual speech synthesis. The

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
README_ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip

ifeq ($(DEB_HOST_ARCH),i386)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),amd64)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-i386
endif

ifeq ($(DEB_HOST_ARCH),alpha)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-linux-alpha
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola302b-linux-ppc
endif

ifeq ($(DEB_HOST_ARCH),sparc)
ZIPBALL=mbr301h_i386-ppc-alpha-ultra.zip
FILENAME=mbrola-SuSElinux-ultra1.dat
endif

ifeq ($(DEB_HOST_ARCH),armel)
ZIPBALL=mbr301h_arm.zip
FILENAME=mbrola-linux-strongarm2-static
endif

unpack:
	unzip -u -d unpacked zipballs/$(ZIPBALL)

mbrola: unpack
	cp -f unpacked/$(FILENAME) mbrola
	chmod u+w,+x mbrola
	strip mbrola

build-arch: mbrola

build: build-arch

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_install mbrola usr/bin
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_installexamples
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch

clean:
	dh_testdir
	dh_clean
	rm -f mbrola
	rm -fr unpacked

## mbrola 3.02b+dfsg

=== debian/changelog ===
mbrola (3.02b+dfsg-5) unstable; urgency=medium

  * {control,copyright}: Update upstream website URL.
  * watch: Add watch file.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * patches/endian: Fix endian detection (Closes: Bug#943886).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Oct 2019 13:45:38 +0100

mbrola (3.02b+dfsg-4) unstable; urgency=medium

  * tests/control: Fix AUTOPKGTEST_TMP variable name (Closes: Bug#914990).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Nov 2018 13:34:59 +0100

mbrola (3.02b+dfsg-3) unstable; urgency=medium

  * clean: Fix removing tmp (Closes: Bug#914903).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Nov 2018 14:54:32 +0100

mbrola (3.02b+dfsg-2) unstable; urgency=medium

  * control: Add Vcs URLs.
  * copyright: Update upstream URL.
  * patches/glibc: Fix build on ppc64el and !linux.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Oct 2018 13:17:53 +0100

mbrola (3.02b+dfsg-1) unstable; urgency=medium

  * New upstream release, now free software!! (but still depend on non-free
    voices).
    - copyright: Update, notably to AGPL2+.
    - control: Move to contrib section. Only build-depend on debhelper and
    lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript,
    tex4ht. Build on any arch. Only depend on shlibs deps.
    - install: Only install mbrola binary.
    - rules: Clear. Add documentation build and test override.
    - docs: Update.
    - clean: Update.
    - strongexit/: Remove.
  * control: Bump Standards-Version to 4.2.0
  * tests/control: Add autopkgtest.
  * mbrola-voice-package-generate: Add autopkgtest to voice packages. Fix
    package generation. Fix upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 04:18:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: mbrola
-Section: non-free/sound
+Section: contrib/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), unzip, libc6-i386 [amd64]
-Standards-Version: 3.9.1
-Homepage: http://tcts.fpms.ac.be/synthesis/
+Build-Depends: debhelper (>= 10), lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
+Standards-Version: 4.4.0
+Homepage: https://github.com/numediart/MBROLA
+Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
+Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
+XS-Autobuild: yes
 
 Package: mbrola
-Architecture: i386 alpha powerpc sparc armel amd64
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mbrola-voice, espeak, cicero

=== debian/tests/control ===
Depends: mbrola, mbrola-fr4
Test-Command: mbrola /usr/share/mbrola/fr4/fr4 /usr/share/doc/mbrola-fr4/examples/hier.pho $AUTOPKGTEST_TMP/hier.wav

=== debian/watch ===
version=3
https://github.com/numediart/MBROLA/releases /numediart/MBROLA/archive/releases/@ANY_VERSION@@ARCHIVE_EXT@

## mbrola 3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: contrib/sound
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10), lyx, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), lyx:native, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/numediart/MBROLA
 Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
 Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
@@ -13,7 +14,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: mbrola-voice, espeak, cicero
+Suggests: mbrola-voice, espeak-ng | espeak, cicero
 Description: Multilingual software speech synthesizer
  Mbrola is Thierry Dutoit's phonemizer for multilingual speech synthesis. The
  various diphone databases are distributed on separate packages, but they
@@ -28,3 +29,12 @@
  .
  Use Mbrola along with Freephone, cicero or espeak to have a complete
  text-to-speech in English.
+
+Package: mbrola-udeb
+Section: contrib/debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: mbrola
+Description: Mbrola speech synthesis
+ This is the mbrola speech synthesis for the Debian installer.
+Package-Type: udeb

## mbrola 3.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # BEGIN_COMM <- flags parenthesize what goes in the commercial Makefile (awk strips)
 # BEGIN_WWW  <- flags parenthesize what goes in the Web Makefile (stripped by awk below)
 # Mbrola Speech Synthesize Makefile ( tune the #define and type "make" )
-VERSION=3.02b
+VERSION=3.3
 
 # To test strict C ANSI compliance
 CC = gcc -ansi -pedantic
@@ -108,6 +108,9 @@
 
 # Signal handling of the standalone version (Unix platforms)
 CFLAGS += -DSIGNAL
+
+# Add external cflags
+CFLAGS += $(EXT_CFLAGS)
 
 # BEGIN_COMM
 BINSRCS = Standalone/synth.c $(COMMONSRCS)

=== debian/changelog ===
mbrola (3.3+dfsg-9) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Use canonical URL in Vcs-Browser.
  * watch: Use tags instead of releases.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:32:14 +0200

mbrola (3.3+dfsg-8) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 13:29:32 +0200

mbrola (3.3+dfsg-7) experimental; urgency=medium

  * control: Make lyx build-dep :native.
  * patches/parallel: Fix parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 10:29:55 +0200

mbrola (3.3+dfsg-6) experimental; urgency=medium

  * Add mbrola-udeb package.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 13:12:44 +0200

mbrola (3.3+dfsg-5) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * mbrola-voice-package-generate: Set Rules-Requires-Root to no in voices
    packages.
  * gbp.conf: Use filter to automatically clean upstream tarball.
  * patches/EOF: Fix detecting end of file.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 00:55:39 +0200

mbrola (3.3+dfsg-4) unstable; urgency=medium

  * patches/flags: Fix passing hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:16:15 +0100

mbrola (3.3+dfsg-3) unstable; urgency=medium

  * Suggest espeak-ng in addition to espeak.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * rules: Fix double-build.
  * patches/intr: Fix applying patch and fix patch.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Nov 2020 00:03:37 +0100

mbrola (3.3+dfsg-2) unstable; urgency=medium

  * patches/intr: Fix spurious exit on speech interruption by espeakup.
  * watch: Add dfsg version mangling.
  * source/lintian-overrides: Remove, we build native mbrola nowadays.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Jun 2020 23:45:47 +0200

mbrola (3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/endian: Upstreamed.
    - patches/getopt: Upstreamed.
  * watch: Fix new upstream location.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Apr 2020 00:49:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), lyx:native, texlive-latex-base, texlive-fonts-recommended, ghostscript, tex4ht
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/numediart/MBROLA
-Vcs-Browser: https://salsa.debian.org/tts-team/mbrola.git
+Vcs-Browser: https://salsa.debian.org/tts-team/mbrola
 Vcs-Git: https://salsa.debian.org/tts-team/mbrola.git
 XS-Autobuild: yes

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/mbrola-$1/,dversionmangle=s/\+dfsg$// \
https://github.com/numediart/MBROLA/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
